Skip to main content
GET
/
v2
/
objects
/
companies
/
records
/
{record_id}
/
entries
List company record entries
curl --request GET \
  --url https://api.attio.com/v2/objects/companies/records/{record_id}/entries \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "list_id": "33ebdbe9-e529-47c9-b894-0ba25e9c15c0",
      "list_api_slug": "sales-prospects",
      "entry_id": "2e6e29ea-c4e0-4f44-842d-78a891f8c156",
      "created_at": "2022-11-21T13:22:49.061281000Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

record_id
string
required

A UUID of the company record to fetch entries for.

Example:

"99a03ff3-0435-47da-95cc-76b2caeb4dab"

Query Parameters

limit
integer

The maximum number of results to return. The default is 100 and the maximum is 1000. See the full guide to pagination here.

Example:

10

offset
integer

The number of results to skip over before returning. The default is 0. See the full guide to pagination here.

Example:

5

Response

200 - application/json

Success

Success

data
object[]
required